bzimport added a project: Wikimedia-Bugzilla.Via ConduitNov 22 2014, 1:51 AM
bzimport set Reference to bz49597.
Aklapper created this task.Via LegacyJun 14 2013, 9:56 PM
bzimport added a comment.Via ConduitSep 9 2013, 1:26 PM

LpSolit wrote:

(In reply to comment #0)

Setting low prio as I consider 4.4.0 too buggy

Too buggy how? Known bugs or something you never reported?

Aklapper added a comment.Via ConduitSep 9 2013, 1:52 PM
Dzahn added a comment.Via ConduitOct 18 2013, 1:53 AM

we're now on 4.2.7 (from 4.2.4)

Aklapper added a comment.Via ConduitOct 26 2013, 3:32 PM

So, stuff to check and prepare:
http://www.bugzilla.org/releases/4.4.1/release-notes.html#v44_upgrading

After upgrade, check whether we can set "smtp_ssl" to enable SSL connections to the SMTP server.

Aklapper added a comment.Via ConduitNov 28 2013, 12:20 AM
Aklapper added a comment.Via ConduitNov 28 2013, 10:57 PM

So to update the status here:

  • CSS cleanup Status: Done (bug 54823)
  • create custom patches for the 4.4 codebase. Status: Done (comment 5)
  • test patches on a local 4.4 instance Status: Done
  • test on labs (or zirconium in eqiad if production is still on kaulen in Tampa). Status:    Not done, will need help from ops (dzahn?)
  • deploy to production. Status:    Not done, will need help from ops (dzahn?)
Aklapper added a comment.Via ConduitDec 5 2013, 9:44 PM

Today, valhallasw expressed interest for https://bugzilla.mozilla.org/show_bug.cgi?id=663747 on IRC. We also get that with 4.4.

Betacommand added a comment.Via ConduitDec 6 2013, 2:20 AM

*** Bug 58066 has been marked as a duplicate of this bug. ***

Aklapper added a comment.Via ConduitDec 15 2013, 2:25 PM

(In reply to comment #5)

plus one more: https://gerrit.wikimedia.org/r/#/c/101643/

Aklapper added a comment.Via ConduitJan 10 2014, 3:50 PM

plus one more now that bug 54181 is fixed in our 4.2:
https://gerrit.wikimedia.org/r/#/c/106713/

Dzahn added a comment.Via ConduitJan 10 2014, 3:57 PM

confirmed with 4.4, looks good. same diff there but based on 4.4 upstream file. deployed on 4.4 test host (like the other 10 dry patches)

Aklapper added a comment.Via ConduitJan 14 2014, 4:28 PM

Main reasons for 4.4:

  • Possible to save (but not share?) Tabular and Graphical Reports (used by several teams, e.g. Priority vs Severity for the components they maintain)
  • WebServices (JSON-RPC etc): http://www.bugzilla.org/releases/4.4/release-notes.html#v44_feat_webservices_details (used by Arthur's Bingle/Bugello)
  • "In reply to comment 12" quoting header adds name "by John Doe" (bug 53199)
  • Possible to search for "tickets I recently commented on" (bug 55636; "Allow Multiple Search Criteria to Match one Field")
  • Faster Search.
  • Support for GMail's threading (bug 49250)
  • Bugs are no longer reassigned to the default assignee when moving the bug into another product or component if the current assignee is not the default one.

See also https://bugzilla.wikimedia.org/showdependencytree.cgi?id=49597&hide_resolved=1 and http://www.bugzilla.org/releases/4.4/release-notes.html

Aklapper added a comment.Via ConduitJan 14 2014, 4:35 PM

(In reply to comment #12)
Small correction:

  • Possible to save (but not share?) Tabular and Graphical Reports (used by several teams, e.g. Priority vs Severity for the components they maintain)

...after I fixed bug 59889.

Aklapper added a comment.Via ConduitJan 24 2014, 5:43 PM

Note to myself as we are targetting 4.4.1:
Changelog of 4.4.2 does not list anything that should affect us or would require rushing: http://bzr.mozilla.org/bugzilla/4.4/revision/8649

Aklapper added a comment.Via ConduitFeb 13 2014, 12:46 AM

Test, now that we are back life on 4.4.

Aklapper added a comment.Via ConduitFeb 13 2014, 1:24 AM

4.4.1 is in place now.
Bugzilla allows only one assignee for this report, but this ticket should also list Daniel Zahn and Sean Pringle as assignees. Thanks everybody!

Closing as FIXED.

Announcement:
http://lists.wikimedia.org/pipermail/wikitech-l/2014-February/074419.html

Aklapper added a comment.Via ConduitFeb 14 2014, 8:40 PM

Copying from https://www.mediawiki.org/wiki/Bug_management/modifications before deleting that page:

if you install a fresh bugzilla from upstream and then clone our bugzilla-modifications repo and then rsync the contents over, these are all the files (for Bugzilla 4.2.7 as of 2014-01-19; minus .git directory and files):

Bugzilla/
Bugzilla/BugMail.pm
Bugzilla/BugUrl.pm
Bugzilla/BugUrl/
Bugzilla/BugUrl/GitHub.pm
Bugzilla/BugUrl/Mingle.pm
Bugzilla/BugUrl/RequestTracker.pm
Bugzilla/BugUrl/SourceForgeAllura.pm
client/
client/BugzillaEmailParser.php
client/assigned.php
client/bug-init.php
client/bugzilla.php
client/bz-mailer.php
client/components.php
client/duplicates.php
client/fixme.php
client/gmaneWebClient.php
client/jsonRPCClient.php
client/last-year.php
client/main.php
client/mwApiClient.php
client/parse-mbox.php
client/patch-finder.php
client/revert-bad-bugs.php
client/revert-troll.php
client/shell-requests.php
client/simple-queries.php
client/unassign-default.php
client/upload-stats.php
client/wmf-terms.php
extensions/
extensions/InlineHistory/
extensions/InlineHistory/Config.pm
extensions/InlineHistory/Extension.pm
extensions/InlineHistory/README
extensions/InlineHistory/template/
extensions/InlineHistory/template/en/
extensions/InlineHistory/template/en/default/
extensions/InlineHistory/template/en/default/hook/
extensions/InlineHistory/template/en/default/hook/bug/
extensions/InlineHistory/template/en/default/hook/bug/comments-aftercomments.html.tmpl
extensions/InlineHistory/template/en/default/hook/bug/comments-comment_banner.html.tmpl
extensions/InlineHistory/template/en/default/hook/bug/show-header-end.html.tmpl
extensions/InlineHistory/template/en/default/hook/global/
extensions/InlineHistory/template/en/default/hook/global/setting-descs-settings.none.tmpl
extensions/InlineHistory/web/
extensions/InlineHistory/web/inline-history.js
extensions/InlineHistory/web/style.css
extensions/MoreBugUrl/
extensions/MoreBugUrl/Config.pm
extensions/MoreBugUrl/Extension.pm
extensions/MoreBugUrl/lib/
extensions/MoreBugUrl/lib/GetSatisfaction.pm
extensions/MoreBugUrl/lib/PHP.pm
extensions/MoreBugUrl/lib/RT.pm
extensions/MoreBugUrl/lib/ReviewBoard.pm
extensions/MoreBugUrl/lib/Rietveld.pm
extensions/MoreBugUrl/template/
extensions/MoreBugUrl/template/en/
extensions/MoreBugUrl/template/en/default/
extensions/MoreBugUrl/template/en/default/hook/
extensions/MoreBugUrl/template/en/default/hook/global/
extensions/MoreBugUrl/template/en/default/hook/global/user-error-bug_url_invalid_tracker.html.tmpl
extensions/Sitemap/
extensions/Sitemap/Config.pm
extensions/Sitemap/Extension.pm
extensions/Sitemap/robots.txt
extensions/Sitemap/lib/
extensions/Sitemap/lib/Constants.pm
extensions/Sitemap/lib/Util.pm
extensions/Sitemap/template/
extensions/Sitemap/template/en/
extensions/Sitemap/template/en/default/
extensions/Sitemap/template/en/default/hook/
extensions/Sitemap/template/en/default/hook/global/
extensions/Sitemap/template/en/default/hook/global/header-additional_header.html.tmpl
extensions/Sitemap/template/en/default/hook/global/messages-messages.html.tmpl
extensions/WeeklyReport/
extensions/WeeklyReport/Config.pm
extensions/WeeklyReport/Extension.pm
extensions/WeeklyReport/component-report.cgi
extensions/WeeklyReport/weekly-bug-summary.cgi
extensions/WeeklyReport/template/
extensions/WeeklyReport/template/en/
extensions/WeeklyReport/template/en/default/
extensions/WeeklyReport/template/en/default/hook/
extensions/WeeklyReport/template/en/default/hook/README
extensions/WeeklyReport/template/en/default/weeklyreport/
extensions/WeeklyReport/template/en/default/weeklyreport/README
extensions/WeeklyReport/template/en/default/weeklyreport/component-report.html.tmpl
extensions/WeeklyReport/template/en/default/weeklyreport/weekly-bug-summary.html.tmpl
extensions/Wikimedia/
extensions/Wikimedia/Config.pm
extensions/Wikimedia/Extension.pm
skins/
skins/contrib/
skins/contrib/Wikimedia/
skins/contrib/Wikimedia/buglist.css
skins/contrib/Wikimedia/bugzilla-ayb.png
skins/contrib/Wikimedia/global.css
skins/contrib/Wikimedia/index.css
skins/contrib/Wikimedia/search_form.css
skins/contrib/Wikimedia/show_bug.css
skins/contrib/Wikimedia/vector.css
skins/contrib/Wikimedia/global/
skins/contrib/Wikimedia/global/body-back.gif
skins/contrib/Wikimedia/global/calendar.png
skins/contrib/Wikimedia/global/down.png
skins/contrib/Wikimedia/global/header.png
skins/contrib/Wikimedia/global/left.png
skins/contrib/Wikimedia/global/right.png
skins/contrib/Wikimedia/global/up.png
skins/contrib/Wikimedia/images/
skins/contrib/Wikimedia/images/arrow-down-icon.png
skins/contrib/Wikimedia/images/audio-icon.png
skins/contrib/Wikimedia/images/block-base.png
skins/contrib/Wikimedia/images/border.png
skins/contrib/Wikimedia/images/bugzilla-badge.png
skins/contrib/Wikimedia/images/bugzilla-logo.png
skins/contrib/Wikimedia/images/bullet-icon.png
skins/contrib/Wikimedia/images/document-icon.png
skins/contrib/Wikimedia/images/edit-icon.png
skins/contrib/Wikimedia/images/external-link-ltr-icon.png
skins/contrib/Wikimedia/images/external-link-rtl-icon.png
skins/contrib/Wikimedia/images/file-icon.png
skins/contrib/Wikimedia/images/link-icon.png
skins/contrib/Wikimedia/images/lock-icon.png
skins/contrib/Wikimedia/images/magnify-clip.png
skins/contrib/Wikimedia/images/mail-icon.png
skins/contrib/Wikimedia/images/news-icon.png
skins/contrib/Wikimedia/images/page-base.png
skins/contrib/Wikimedia/images/page-fade.png
skins/contrib/Wikimedia/images/portal-break-ltr.png
skins/contrib/Wikimedia/images/portal-break-rtl.png
skins/contrib/Wikimedia/images/portal-break.png
skins/contrib/Wikimedia/images/preferences-base.png
skins/contrib/Wikimedia/images/preferences-break.png
skins/contrib/Wikimedia/images/preferences-edge.png
skins/contrib/Wikimedia/images/preferences-fade.png
skins/contrib/Wikimedia/images/search-fade.png
skins/contrib/Wikimedia/images/search-ltr.png
skins/contrib/Wikimedia/images/search-rtl.png
skins/contrib/Wikimedia/images/tab-break.png
skins/contrib/Wikimedia/images/tab-current-fade.png
skins/contrib/Wikimedia/images/tab-normal-fade.png
skins/contrib/Wikimedia/images/talk-icon.png
skins/contrib/Wikimedia/images/user-icon.png
skins/contrib/Wikimedia/images/video-icon.png
skins/contrib/Wikimedia/images/watch-icon-loading.gif
skins/contrib/Wikimedia/images/watch-icons.png
skins/contrib/Wikimedia/index/
skins/contrib/Wikimedia/index/account.gif
skins/contrib/Wikimedia/index/bug.gif
skins/contrib/Wikimedia/index/report.png
skins/contrib/Wikimedia/index/search.gif
template/
template/en/
template/en/custom/
template/en/custom/index.html.tmpl
template/en/custom/account/
template/en/custom/account/auth/
template/en/custom/account/auth/login-small.html.tmpl
template/en/custom/account/auth/login.html.tmpl
template/en/custom/attachment/
template/en/custom/attachment/createformcontents.html.tmpl
template/en/custom/bug/
template/en/custom/bug/edit.html.tmpl
template/en/custom/bug/create/
template/en/custom/bug/create/comment-guided.txt.tmpl
template/en/custom/bug/create/create-guided.html.tmpl
template/en/custom/bug/create/user-message.html.tmpl
template/en/custom/global/
template/en/custom/global/footer.html.tmpl
template/en/custom/global/header.html.tmpl
template/en/custom/global/nav-links.html.tmpl
template/en/custom/global/search-links.html.tmpl
template/en/custom/global/user-error.html.tmpl
template/en/custom/global/user-links.html.tmpl
template/en/custom/global/variables.none.tmpl
template/en/custom/list/
template/en/custom/list/table.html.tmpl
template/en/custom/reports/
template/en/custom/reports/weekly-bug-summary.html.tmpl

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.